lp:ubuntu/edgy-proposed/flashplugin-nonfree

Created by James Westby on 2009-08-07 and last modified on 2009-08-07
Get this branch:
bzr branch lp:ubuntu/edgy-proposed/flashplugin-nonfree
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Development

Recent revisions

16. By Brandon Holtsclaw on 2007-12-05

* New upstream release 9,0,115,0 ( Closes LP: #173890 )
* updated debian/config and debian/postinst with the new MD5's
  of the upstream binary release

15. By Daniel T Chen on 2006-10-12

* debian/control:
  - Fix incorrect Recommends of libesd0-alsa (should be
    libesd-alsa0; thanks, Simon Law! Closes Ubuntu: #63001),
  - Add flashplayer-mozilla to Conflicts (Closes Ubuntu: #63055,
    #65550).

14. By Daniel T Chen on 2006-09-20

debian/rules: Ok, since we love backport crack, don't use an
edgy-specific parameter for update-rc.d(8)
(Closes Ubuntu: #61349, #61354, #61371, #61378, #61402, #61421,
#61433, #61444, #61404).

13. By Daniel T Chen on 2006-09-13

* This package retrieves upstream version 7.0.68:
  - [SECURITY]
    + Fix input validation errors,
    + Prevent circumvention of allowScriptAccess option.
  - References:
    + CVE-2006-3014
    + CVE-2006-3311
    + CVE-2006-3587
    + CVE-2006-3588
    + CVE-2006-4640
    http://www.adobe.com/support/security/bulletins/apsb06-11.html
* Merge from Debian unstable. Remaining Ubuntu changes include:
  - Adding Simon Law's modified initscript,
  - Adjusting Depends and Recommends,
  - Invoking dh_installinit -umultiuser,
  - Updating md5sums for this release.

12. By Daniel T Chen on 2006-08-22

* Merge from Debian unstable:
  - debian/flashplugin-nonfree.init: Tweak initscript from Simon Law
    <email address hidden> (thanks, Simon!) creating /tmp/.esd/socket .
    This (or the alsa-oss) hackaround is far from optimal, but since
    we're interested in improving usability, sometimes the Right
    thing isn't the Best thing. Thanks also to the many commenters on
    Malone #29760.
  - debian/control:
    + Depend on lsb-base (>= 3.0-6) as stated in the initscript.
    + Recommend libesd0-alsa, since without it (or a wrapper such as
      alsa-oss) the "improve usability by simply installing this
      package" objective is dead in the water.
  - Malone #44568 and #46774 are fixed in version 7.0.63.4.
  (Closes Ubuntu: #5201, #29760, #44568, #46774, #48125, #48478,
  #53263, #57399)

11. By Brandon Holtsclaw on 2006-08-22

Sponsored upoload for Anthony Mercatante <email address hidden>
Updated update-flashplugin.sh to avoid the 'Illegal Number" error
message causing dpkg to stop and remove installed files.

10. By Bart Martens on 2006-06-25

* debian/control: Removed mozilla-browser-snapshot.
* debian/po/*po: Added more translations. Closes: #352640, #374317. Thank
  you for the translations.

9. By Daniel T Chen on 2006-05-25

debian/control: Update dependencies to include wget, libxmu6
(Closes: Malone #40726, #44418, #46405). Conflict and Replace
flashplayer-mozilla, which was removed from Dapper.

8. By Daniel T Chen on 2006-05-16

update-flashplugin.sh: Don't install into /usr/lib/mozilla-firefox,
since Dapper uses /usr/lib/firefox (Closes: Malone #44568, #44774).

7. By Daniel T Chen on 2006-04-26

Resynchronise with Debian, and bring in Benjamin's debconf priority
change. This really fixes #39121, #39740, and #40408.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/karmic/flashplugin-nonfree
This branch contains Public information 
Everyone can see this information.

Subscribers